ByCloud Docs
GuidesCLIAPISDK
get/v1/images/{image_id}

Get image

Get details of a specific image

Path Parameters

image_id

string<uuid>required

path

Image ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Image details

Content-Type: application/json

image

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/images/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Image details

{
"image": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:compute:image:550e8400-e29b-41d4-a716-446655440000",
"name": "Ubuntu 22.04 LTS",
"description": "Ubuntu 22.04 LTS (Jammy Jellyfish)",
"min_disk": 10,
"min_ram": 1024,
"os_distro": "ubuntu",
"os_version": "22.04",
"architecture": "x86_64",
"tags": [
"web",
"frontend"
]
}
}